---
search:
  tags:
    - Brands
    - POST
seo:
  description: >-
    Creates a new brand with the provided name, slug, logo, cover… Reference for
    the POST /api/v1/{team_slug}/{app_slug}/brands endpoint in the Management
    API.
sidebar:
  label: Create a new brand
  badge: POST
title: Create a new brand
type: openapi-operation
---
Creates a new brand with the provided name, slug, logo, cover image, and description. Validates that the brand name and slug are unique within the app.

`POST /api/v1/{team_slug}/{app_slug}/brands`

**Request body** (`application/json`, required)

data on brand

- `address` (internal_pkg_webserver_v1.BrandAddressRequest)
- `cover_id` (string)
- `description` (string)
- `email` (string)
- `logo_id` (string)
- `name` (string, required)
- `slug` (string, required)

Request body example:

```json
{
  "address": {
    "city": "string",
    "co_address": "string",
    "country": "string",
    "house_number": "string",
    "postal_code": "string",
    "state_province": "string",
    "street_address": "string"
  },
  "cover_id": "string",
  "description": "string",
  "email": "string",
  "logo_id": "string",
  "name": "string",
  "slug": "string"
}
```

**Responses**

- `200` — Brand created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "address": {
      "city": "string",
      "co_address": "string",
      "country": "string",
      "house_number": "string",
      "postal_code": "string",
      "state_province": "string",
      "street_address": "string"
    },
    "cover": {
      "id": "string",
      "url": "string"
    },
    "created_at": "string",
    "description": "string",
    "email": "string",
    "id": "string",
    "logo": {
      "id": "string",
      "url": "string"
    },
    "name": "string",
    "series": [
      {
        "id": "string",
        "name": "string",
        "slug": "string"
      }
    ],
    "slug": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
